;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian nxml-mode package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The nxml-mode package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(let ((package-dir (concat "/usr/share/"
                           (symbol-name flavor)
                           "/site-lisp/nxml-mode")))
  (when (file-directory-p package-dir)
        (setq load-path (cons package-dir load-path))))

(setq load-path (cons (concat
 "/usr/share/emacs/site-lisp/nxml-mode") load-path))

;; Load the package.  (Replace with autoload?)
(load "rng-auto.el")
 
;; Comment this out if you want to use PSGML or another mode to edit
;; these files.
(setq auto-mode-alist
      (cons '("\\.\\(xml\\|xsl\\|rng\\|xhtml\\)\\'" . nxml-mode)
            auto-mode-alist))
